package de.intevation.flys.client.client.widgets.tree;

import com.smartgwt.client.widgets.tree.TreeNode;

import com.google.gwt.core.client.JavaScriptObject;

import de.intevation.flys.client.shared.model.AttrList;

public class AttributedTreeNode
extends      TreeNode
{
    protected AttrList attrs;

    public AttributedTreeNode() {
    }

    public AttributedTreeNode(JavaScriptObject jsObj) {
        super(jsObj);
    }

    public AttributedTreeNode(String name) {
        super(name);
    }

    public AttributedTreeNode(String name, TreeNode ... children) {
        super(name, children);
    }

    public AttributedTreeNode(String name, AttrList attrs) {
        super(name);
        this.attrs = attrs;
    }

    public AttributedTreeNode(String name, AttrList attrs, TreeNode ... children) {
        super(name, children);
        this.attrs = attrs;
    }

    public AttrList getSpecialAttributes() {
        return attrs;
    }
}
// vim:set ts=4 sw=4 si et sta sts=4 fenc=utf8 :
